//+------------------------------------------------------------------+
//|                                                 DavidF_Hedge.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

// INFo: http://kreslik.com/forums/viewtopic.php?t=307&postdays=0&postorder=asc&start=0

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 OrangeRed

double Idx[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorShortName("Hedge EUR/USD/CHF");
   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, Idx);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   int i;
   double EUR, USD, CHF, Hedge;
   
   for (i=0;i<counted_bars; i++)
   {
    EUR = iClose("EURUSD",PERIOD_H1,i);
    USD = iClose("USDCHF",PERIOD_H1,i);     
    CHF = iClose("EURCHF",PERIOD_H1,i);
    
    Hedge = EUR * USD * (1/CHF);
    Idx[i] = Hedge;
   }
   
   SetLevelValue(1,1);
   Comment("Hedge EUR/USD/CHF: Buy (EUR/USD), Buy (USD/CHF), SellShort (EUR/CHF)");

//----
   return(0);
  }
//+------------------------------------------------------------------+